//用shift+滑鼠滾輪+滑鼠左鍵控制圖片大小

//用defaultwidth恢復圖片大小
function setDefaultSize(){
    if(window.event.shiftKey){
        if (this.hasAttribute("defaultwidth")){
            this.width = parseInt(this.getAttribute("defaultwidth"), 10);
            return false;
        }
        //向前相容用
        else if(this.style.zoom != 100){
            this.style.zoom = "100%";
            return false;
        }
    }
}

function mouseWheelResize(){
    if (window.event.shiftKey){
        //defaultwidth是我自己加入的屬性
        if (this.hasAttribute("defaultwidth")){
            //放大量為每格10%的defaultwidth
            var width = this.width;
            var scale = parseInt(this.getAttribute("defaultwidth"), 10)/10;
            width += event.wheelDelta * scale / 120;
            if (width > 0){
                this.width = width;
            }
            return false;
        }
        //如果沒有defaultwidth，則從當前的width中取得defaultwidth的值
        else if(this.hasAttribute("width")){
            this.setAttribute("defaultwidth", this.width);
            return false;
        }
        //如果連width也沒有，則分析來源判斷檔案的width
        else{
            this.setAttribute("width", this.width);
            return false;
        }
    }
}

imgs = document.getElementsByTagName("img");
for(var i=0;i<imgs.length;i++){
    imgs[i].onclick = setDefaultSize;
    imgs[i].onmousewheel = mouseWheelResize;
}
